%define marblewidget_major 28
%define libmarblewidget %mklibname marblewidget-qt5 %{marblewidget_major}
%define astro_major 1
%define libastro %mklibname astro %{astro_major}
%define marble_devel %mklibname kf5marble -d

Name: marble
Summary: A virtual globe and world atlas
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: LGPLv2
URL: http://www.kde.org/applications/education/marble/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: shapelib-devel
BuildRequires: python-devel
BuildRequires: libwlocate-devel
BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires:  cmake
BuildRequires:  qtbase5-common-devel
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:  %{_lib}qt5qml-devel
BuildRequires:  %{_lib}qt5quick-devel
BuildRequires:  %{_lib}qt5webchannel-devel
BuildRequires:  %{_lib}qt5opengl-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}qt5positioning-devel
BuildRequires:  %{_lib}qt5sql-devel
BuildRequires:  %{_lib}qt5svg-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5multimedia-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5xml-devel

BuildRequires:  %{_lib}qt5serialport-devel
BuildRequires:  %{_lib}kf5krunner-devel
BuildRequires:  %{_lib}qt5help-devel 
BuildRequires:  %{_lib}kf5wallet-devel
BuildRequires:  %{_lib}kf5newstuff-devel

Requires: mesa-crocus
Requires: qtwebengine5
#-----------------------------------------------------------------------

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%_kf5_bindir/marble
%_kf5_datadir/marble
%_kf5_datadir/metainfo
%_kf5_datadir/applications/org.kde.marble.desktop
%_kf5_datadir/applications/marble_geo.desktop
%_kf5_datadir/applications/marble_geojson.desktop
%_kf5_datadir/applications/marble_gpx.desktop
%_kf5_datadir/applications/marble_kml.desktop
%_kf5_datadir/applications/marble_kmz.desktop
%_kf5_datadir/applications/marble_shp.desktop
%_kf5_datadir/applications/marble_worldwind.desktop
%_kf5_datadir/mime/packages/geo.xml
%_kf5_datadir/config.kcfg/marble.kcfg
%_kf5_datadir/kxmlgui5/marble/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.worldclock/
%_kf5_datadir/plasma/wallpapers/org.kde.plasma.worldmap/contents/
%_kf5_services/*.desktop
%_kf5_iconsdir/hicolor/128x128/apps/marble.png
%_kf5_iconsdir/hicolor/16x16/apps/marble.png
%_kf5_iconsdir/hicolor/22x22/apps/marble.png
%_kf5_iconsdir/hicolor/32x32/apps/marble.png
%_kf5_iconsdir/hicolor/48x48/apps/marble.png
%_kf5_iconsdir/hicolor/64x64/apps/marble.png
%dir %_kf5_libdir/marble
%_kf5_libdir/marble/plugins/
%_qt5_plugindir/*.so
%_kf5_libdir/libmarbledeclarative.so

%_kf5_libdir/libastro.so.%{astro_major}
/usr/lib64/libastro.so.*
%_kf5_libdir/libmarblewidget-qt5.so.%{marblewidget_major}
%_kf5_libdir/libmarblewidget-qt5.so.2*

%_kf5_datadir/locale
%_kf5_datadir/plasma/wallpapers/org.kde.plasma.worldmap/metadata.desktop
%_kf5_datadir/plasma/wallpapers/org.kde.plasma.worldmap/metadata.json

%_kf5_libdir/qt5/qml/org/kde/marble/private/plasma/libmarblequick.so
%_kf5_libdir/qt5/qml/org/kde/marble/private/plasma/qmldir
/usr/lib64/qt5/plugins/kf5/krunner/plasma_runner_marble.so

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch
Requires: %name

%description handbook
This package provides %{name} Handbook.

%files handbook
%_kf5_datadir/doc/HTML
#--------------------------------------------------------------------

%package -n %marble_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %marble_devel
Files needed to build applications based on %{name}.

%files -n %marble_devel
%_includedir/marble
%_includedir/astro
%_kf5_libdir/libastro.so
%_kf5_libdir/libmarblewidget-qt5.so
%_kf5_libdir/cmake/Marble/
%_kf5_libdir/cmake/Astro/
%_kf5_libdir/qt5/mkspecs/modules/qt_Marble.pri
#------------------------------------------------------------------------------

%package -n marble-qt
Summary: Marble with QT Interface
Group: Graphical desktop/KDE5
Requires: %name = %version-%release

%description -n marble-qt
Marble with QT Interface. Marble is a Virtual Globe 
and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you
can look up places and roads. A mouse click on a
place label will provide the respective
Wikipedia article.

%files -n marble-qt
%_kf5_bindir/marble-qt
%_kf5_datadir/applications/org.kde.marble-qt.desktop


%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja \
  -DBUILD_MARBLE_APPS=ON \
  -DBUILD_MARBLE_TESTS=OFF \
  -DBUILD_TESTING=OFF \
  -DBUILD_WITH_DBUS=ON \
  -DMOBILE=OFF \
  -DQTONLY=ON -DQT5BUILD=ON \
  -DWITH_DESIGNER_PLUGIN=OFF ..

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

